summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/Arduino/Arduino.SlackBuild84
-rw-r--r--development/Arduino/Arduino.info126
-rw-r--r--development/Arduino/README2
-rw-r--r--development/Arduino/arduino.desktop11
4 files changed, 177 insertions, 46 deletions
diff --git a/development/Arduino/Arduino.SlackBuild b/development/Arduino/Arduino.SlackBuild
index 5cded705b1..c7d5cb3765 100644
--- a/development/Arduino/Arduino.SlackBuild
+++ b/development/Arduino/Arduino.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Arduino
-# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# Copyright 2015, 2016 Mario Preksavec, Zagreb, Croatia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,16 +23,26 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=Arduino
-VERSION=${VERSION:-1.6.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.6.9}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-REFERENCE=${REFERENCE:-1.6.0}
+REFERENCE=${REFERENCE:-1.6.6-3}
GALILEO=${GALILEO:-1.6.2}
EDISON=${EDISON:-1.6.2}
-FIRMATA=${FIRMATA:-2.4.3}
-TEMBOO=${TEMBOO:-1.1.2}
-LIBASTYLEJ=${LIBASTYLEJ:-2.05}
+FIRMATA=${FIRMATA:-2.5.2}
+BRIDGE=${BRIDGE:-1.6.2}
+ROBOT_CONTROL=${ROBOT_CONTROL:-1.0.2}
+ROBOT_MOTOR=${ROBOT_MOTOR:-1.0.2}
+ROBOTIRREMOTE=${ROBOTIRREMOTE:-1.0.2}
+SPACEBREWYUN=${SPACEBREWYUN:-1.0.0}
+TEMBOO=${TEMBOO:-1.1.5}
+ESPLORA=${ESPLORA:-1.0.4}
+MOUSE=${MOUSE:-1.0.1}
+KEYBOARD=${KEYBOARD:-1.0.1}
+LIBASTYLEJ=${LIBASTYLEJ:-2.05.1-3}
+LIBLISTSERIALS=${LIBLISTSERIALS:-1.1.0}
+ARDUINOBUILDER=${ARDUINOBUILDER:-1.3.18}
AVRLIBC=${AVRLIBC:-1.8.0}
AVRHEADERS=${AVRHEADERS:-6.2.0.469}
@@ -61,13 +71,22 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i486" ]; then
+ LIB="32"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIB="64"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -108,25 +127,33 @@ echo -e "arduino.avrdude=$AVRDUDE-arduino5\narduino.avr-gcc=$GCC-arduino5" \
# Use already present toolchain and library bundles
sed -e '/<antcall target="avr-toolchain-bundle">/,/<\/antcall>/d' \
- -e '/<antcall target="package-library-index-json-bundle"\/>/d' \
+ -e '/<delete file=".*_index.json.gz"\/>/d' \
+ -e 's/skipexisting="false"/skipexisting="true"/' \
-i build/build.xml
-# Copy documentation, help and libraries
+# Copy documentation and help
cp $CWD/reference-$REFERENCE.zip \
$CWD/Galileo_help_files-$GALILEO.zip \
- $CWD/Edison_help_files-$EDISON.zip \
- build/shared/
-cp $CWD/v$FIRMATA.zip build/Firmata-$FIRMATA.zip \
-|| cp $CWD/Firmata-$FIRMATA.zip build/
-cp $CWD/$TEMBOO.zip build/Temboo-$TEMBOO.zip \
-|| cp $CWD/Temboo-$TEMBOO.zip build/
-cp $CWD/libastylej-$LIBASTYLEJ.zip build/
-
-# Unpack library bundles
+ $CWD/Edison_help_files-$EDISON.zip build/shared/
+
+# Copy libraries
+cp $CWD/Firmata-$FIRMATA.zip \
+ $CWD/Bridge-$BRIDGE.zip \
+ $CWD/Robot_Control-$ROBOT_CONTROL.zip \
+ $CWD/Robot_Motor-$ROBOT_MOTOR.zip \
+ $CWD/RobotIRremote-$ROBOTIRREMOTE.zip \
+ $CWD/SpacebrewYun-$SPACEBREWYUN.zip \
+ $CWD/Temboo-$TEMBOO.zip \
+ $CWD/Esplora-$ESPLORA.zip \
+ $CWD/Mouse-$MOUSE.zip \
+ $CWD/Keyboard-$KEYBOARD.zip \
+ $CWD/libastylej-$LIBASTYLEJ.zip \
+ $CWD/liblistSerials-$LIBLISTSERIALS.zip \
+ $CWD/arduino-builder-linux$LIB-$ARDUINOBUILDER.tar.bz2 build/
+
+# Copy library bundles
mkdir -p build/linux/work/dist/
-cp $CWD/package_index.json.sig build/linux/work/dist/
-gunzip -c $CWD/package_index.json.gz > build/linux/work/dist/package_index.json
-gunzip -c $CWD/library_index.json.gz > build/linux/work/dist/library_index.json
+cp $CWD/{library,package}_index.json.* build/linux/work/dist/
# Finally, build Arduino
( cd build ; ant )
@@ -135,18 +162,25 @@ gunzip -c $CWD/library_index.json.gz > build/linux/work/dist/library_index.json
cd build/linux/work/
# Clean up
-rm -rf hardware/tmp/
+rm dist/{library,package}_index.json.gz
# Manual install ensues
mkdir -p $PKG/opt/$PRGNAM
-mv arduino dist examples hardware lib libraries reference tools $PKG/opt/$PRGNAM
+mv arduino{,-builder} dist examples hardware lib libraries reference \
+ tools{,-builder} $PKG/opt/$PRGNAM
+
+# Ownership fixup
+chown -R root:root $PKG/opt/Arduino/tools-builder
# Make it a bit more user friendly
mkdir -p $PKG/usr/{bin,share/applications}
-sed "s/FULL_PATH/\/opt\/$PRGNAM/" arduino.desktop \
+sed "s/FULL_PATH/\/opt\/$PRGNAM/" $CWD/arduino.desktop \
> $PKG/usr/share/applications/$PRGNAM.desktop
ln -s /opt/$PRGNAM/arduino $PKG/usr/bin/$PRGNAM
+# Fix perms
+chmod 755 $PKG/opt/$PRGNAM/reference/*
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a revisions.txt $TMP/$PRGNAM-$VERSION/{README.md,license.txt} \
$PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/development/Arduino/Arduino.info b/development/Arduino/Arduino.info
index b859f8cd1f..51770327c1 100644
--- a/development/Arduino/Arduino.info
+++ b/development/Arduino/Arduino.info
@@ -1,18 +1,28 @@
PRGNAM="Arduino"
-VERSION="1.6.5"
+VERSION="1.6.9"
HOMEPAGE="http://www.arduino.cc/"
-DOWNLOAD="https://github.com/arduino/Arduino/archive/1.6.5.tar.gz \
- http://downloads.arduino.cc/reference-1.6.0.zip \
+DOWNLOAD="https://github.com/arduino/Arduino/archive/1.6.9/Arduino-1.6.9.tar.gz \
+ http://downloads.arduino.cc/reference-1.6.6-3.zip \
http://downloads.arduino.cc/Galileo_help_files-1.6.2.zip \
http://downloads.arduino.cc/Edison_help_files-1.6.2.zip \
- https://github.com/arduino-libraries/Firmata/archive/v2.4.3.zip \
- https://github.com/temboo/Temboo/archive/1.1.2.zip \
- http://downloads.arduino.cc/libastylej-2.05.zip \
- http://downloads.arduino.cc/packages/package_index.json.gz \
- http://downloads.arduino.cc/packages/package_index.json.sig \
- http://downloads.arduino.cc/libraries/library_index.json.gz \
+ https://github.com/arduino-libraries/Firmata/archive/2.5.2/Firmata-2.5.2.zip \
+ https://github.com/arduino-libraries/Bridge/archive/1.6.2/Bridge-1.6.2.zip \
+ https://github.com/arduino-libraries/Robot_Control/archive/1.0.2/Robot_Control-1.0.2.zip \
+ https://github.com/arduino-libraries/Robot_Motor/archive/1.0.2/Robot_Motor-1.0.2.zip \
+ https://github.com/arduino-libraries/RobotIRremote/archive/1.0.2/RobotIRremote-1.0.2.zip \
+ https://github.com/arduino-libraries/SpacebrewYun/archive/1.0.0/SpacebrewYun-1.0.0.zip \
+ https://github.com/arduino-libraries/Temboo/archive/1.1.5/Temboo-1.1.5.zip \
+ https://github.com/arduino-libraries/Esplora/archive/1.0.4/Esplora-1.0.4.zip \
+ https://github.com/arduino-libraries/Mouse/archive/1.0.1/Mouse-1.0.1.zip \
+ https://github.com/arduino-libraries/Keyboard/archive/1.0.1/Keyboard-1.0.1.zip \
+ http://downloads.arduino.cc/libastylej-2.05.1-3.zip \
+ http://downloads.arduino.cc/liblistSerials/liblistSerials-1.1.0.zip \
+ http://mirror.slackware.hr/sources/Arduino/package_index.json.gz \
+ http://mirror.slackware.hr/sources/Arduino/package_index.json.sig \
+ http://mirror.slackware.hr/sources/Arduino/library_index.json.gz \
+ http://downloads.arduino.cc/tools/arduino-builder-linux32-1.3.18.tar.bz2 \
https://github.com/arduino/toolchain-avr/archive/avr-gcc-4.8.1-avrdude-6.0.1-arduino5.tar.gz \
- http://download.savannah.gnu.org/releases/avr-libc/avr-libc-1.8.0.tar.bz2 \
+ http://download.savannah.gnu.org/releases/avr-libc/old-releases/avr-libc-1.8.0.tar.bz2 \
http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-Toolchain/3.4.5/avr8-headers-6.2.0.469.zip \
http://download.savannah.gnu.org/releases/avrdude/avrdude-6.0.1.tar.gz \
http://mirror.switch.ch/ftp/mirror/gnu/binutils/binutils-2.24.tar.bz2 \
@@ -25,16 +35,26 @@ DOWNLOAD="https://github.com/arduino/Arduino/archive/1.6.5.tar.gz \
http://download.sourceforge.net/project/libusb/libusb-compat-0.1/libusb-compat-0.1.5/libusb-compat-0.1.5.tar.bz2 \
http://mirror.switch.ch/ftp/mirror/gnu/autoconf/autoconf-2.64.tar.bz2 \
http://mirror.switch.ch/ftp/mirror/gnu/automake/automake-1.11.1.tar.bz2"
-MD5SUM="b340a595fb024da1636eb396342b011d \
- e95c906955bbdefcf31751633b289d48 \
+MD5SUM="b1f205208db0065286013e544ecbf48f \
+ f04dadd797e5e57149bce626defc7be4 \
dfa93daedbe9188f20f00308f64f4908 \
c97d466ee23021ffb0d57c222d93e96f \
- edbdc40caceef0841843df661c2e7483 \
- 96797ddb8f7b252fedc029e22f76bb8d \
- 22787c4d0910a628b0ed71cdd40d8c13 \
- c6af2f221f2830a50c2a17817500733a \
- fe1dd73e5baaef2432a29feb5c5455b2 \
- 8feb8fcf526a4ed25e25d150b002b0ad \
+ 194079377a3c310a7de8e1099a763fdf \
+ c9460b9fa60d6e338ad537debfa9bf2a \
+ 4ed4c60f01e02eb5b28da260ad0e75ae \
+ f5b648b60c76a3f2ead085b613279d11 \
+ 47ff47fab7b44e482dff47b11148d67f \
+ 9bdcbdfa1669fada84e4b5d29cecd092 \
+ e771ef7cb110ef6d1a24a227b5c154d4 \
+ b066c4b117cd035b4e941016e04617af \
+ 39018b239c31f89e97cab344c0d42fca \
+ d07885c5f18c6ead722c5e28e60bebde \
+ 3f6fd60bfe51ce7a7543671cb638ffbb \
+ 01ad823406ab79d33aefe5b02add96c2 \
+ 1fcd648258ad7edb3103c9ea80939df6 \
+ 4c99664d041242971f3268475ccb7e69 \
+ 5e71ce1fd82c17953019a31de41d2350 \
+ 86ec280cd3e764641ea696ce5f6a2165 \
573b7840861c311e8eafbf07e37c0786 \
54c71798f24c96bab206be098062344f \
3719aca9af4d0d3a0855a8d43c92a4ae \
@@ -49,8 +69,74 @@ MD5SUM="b340a595fb024da1636eb396342b011d \
2780b6a758a1e2c2943bdbf7faf740e4 \
ef400d672005e0be21e0d20648169074 \
c2972c4d9b3e29c03d5f2af86249876f"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD_x86_64="https://github.com/arduino/Arduino/archive/1.6.9/Arduino-1.6.9.tar.gz \
+ http://downloads.arduino.cc/reference-1.6.6-3.zip \
+ http://downloads.arduino.cc/Galileo_help_files-1.6.2.zip \
+ http://downloads.arduino.cc/Edison_help_files-1.6.2.zip \
+ https://github.com/arduino-libraries/Firmata/archive/2.5.2/Firmata-2.5.2.zip \
+ https://github.com/arduino-libraries/Bridge/archive/1.6.2/Bridge-1.6.2.zip \
+ https://github.com/arduino-libraries/Robot_Control/archive/1.0.2/Robot_Control-1.0.2.zip \
+ https://github.com/arduino-libraries/Robot_Motor/archive/1.0.2/Robot_Motor-1.0.2.zip \
+ https://github.com/arduino-libraries/RobotIRremote/archive/1.0.2/RobotIRremote-1.0.2.zip \
+ https://github.com/arduino-libraries/SpacebrewYun/archive/1.0.0/SpacebrewYun-1.0.0.zip \
+ https://github.com/arduino-libraries/Temboo/archive/1.1.5/Temboo-1.1.5.zip \
+ https://github.com/arduino-libraries/Esplora/archive/1.0.4/Esplora-1.0.4.zip \
+ https://github.com/arduino-libraries/Mouse/archive/1.0.1/Mouse-1.0.1.zip \
+ https://github.com/arduino-libraries/Keyboard/archive/1.0.1/Keyboard-1.0.1.zip \
+ http://downloads.arduino.cc/libastylej-2.05.1-3.zip \
+ http://downloads.arduino.cc/liblistSerials/liblistSerials-1.1.0.zip \
+ http://mirror.slackware.hr/sources/Arduino/package_index.json.gz \
+ http://mirror.slackware.hr/sources/Arduino/package_index.json.sig \
+ http://mirror.slackware.hr/sources/Arduino/library_index.json.gz \
+ http://downloads.arduino.cc/tools/arduino-builder-linux64-1.3.18.tar.bz2 \
+ https://github.com/arduino/toolchain-avr/archive/avr-gcc-4.8.1-avrdude-6.0.1-arduino5.tar.gz \
+ http://download.savannah.gnu.org/releases/avr-libc/old-releases/avr-libc-1.8.0.tar.bz2 \
+ http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-Toolchain/3.4.5/avr8-headers-6.2.0.469.zip \
+ http://download.savannah.gnu.org/releases/avrdude/avrdude-6.0.1.tar.gz \
+ http://mirror.switch.ch/ftp/mirror/gnu/binutils/binutils-2.24.tar.bz2 \
+ http://mirror.switch.ch/ftp/mirror/gnu/gmp/gmp-5.0.2.tar.bz2 \
+ http://mirror.switch.ch/ftp/mirror/gnu/mpfr/mpfr-3.0.0.tar.bz2 \
+ http://www.multiprecision.org/mpc/download/mpc-0.9.tar.gz \
+ http://mirror.switch.ch/ftp/mirror/gnu/gcc/gcc-4.8.1/gcc-4.8.1.tar.bz2 \
+ http://mirror.switch.ch/ftp/mirror/gnu/gdb/gdb-7.8.tar.xz \
+ http://download.sourceforge.net/project/libusb/libusb-1.0/libusb-1.0.18/libusb-1.0.18.tar.bz2 \
+ http://download.sourceforge.net/project/libusb/libusb-compat-0.1/libusb-compat-0.1.5/libusb-compat-0.1.5.tar.bz2 \
+ http://mirror.switch.ch/ftp/mirror/gnu/autoconf/autoconf-2.64.tar.bz2 \
+ http://mirror.switch.ch/ftp/mirror/gnu/automake/automake-1.11.1.tar.bz2"
+MD5SUM_x86_64="b1f205208db0065286013e544ecbf48f \
+ f04dadd797e5e57149bce626defc7be4 \
+ dfa93daedbe9188f20f00308f64f4908 \
+ c97d466ee23021ffb0d57c222d93e96f \
+ 194079377a3c310a7de8e1099a763fdf \
+ c9460b9fa60d6e338ad537debfa9bf2a \
+ 4ed4c60f01e02eb5b28da260ad0e75ae \
+ f5b648b60c76a3f2ead085b613279d11 \
+ 47ff47fab7b44e482dff47b11148d67f \
+ 9bdcbdfa1669fada84e4b5d29cecd092 \
+ e771ef7cb110ef6d1a24a227b5c154d4 \
+ b066c4b117cd035b4e941016e04617af \
+ 39018b239c31f89e97cab344c0d42fca \
+ d07885c5f18c6ead722c5e28e60bebde \
+ 3f6fd60bfe51ce7a7543671cb638ffbb \
+ 01ad823406ab79d33aefe5b02add96c2 \
+ 1fcd648258ad7edb3103c9ea80939df6 \
+ 4c99664d041242971f3268475ccb7e69 \
+ 5e71ce1fd82c17953019a31de41d2350 \
+ ad303f624e06b4793c75fb8a82ccc214 \
+ 573b7840861c311e8eafbf07e37c0786 \
+ 54c71798f24c96bab206be098062344f \
+ 3719aca9af4d0d3a0855a8d43c92a4ae \
+ 346ec2e46393a54ac152b95abf1d9850 \
+ e0f71a7b2ddab0f8612336ac81d9636b \
+ 0bbaedc82fb30315b06b1588b9077cd3 \
+ f45bac3584922c8004a10060ab1a8f9f \
+ 0d6acab8d214bd7d1fbbc593e83dd00d \
+ 3b2386c114cd74185aa3754b58a79304 \
+ bd958fe9019d7c7896f29f6724a764ed \
+ 4a6d049923efc6496f1d383054dac1a6 \
+ 2780b6a758a1e2c2943bdbf7faf740e4 \
+ ef400d672005e0be21e0d20648169074 \
+ c2972c4d9b3e29c03d5f2af86249876f"
REQUIRES="apache-ant"
MAINTAINER="Mario Preksavec"
EMAIL="mario at slackware dot hr"
diff --git a/development/Arduino/README b/development/Arduino/README
index 581ee5734d..8127f6239d 100644
--- a/development/Arduino/README
+++ b/development/Arduino/README
@@ -3,5 +3,5 @@ it to the board. It runs on Windows, Mac OS X, and Linux. The environment
is written in Java and based on Processing and other open-source software.
This software can be used with any Arduino board.
-NOTE: This script compiles everything from the source. Compared to the binary
+NOTE: This script compiles everything from source. Compared to the binary
version, it will take longer and require almost 1GB of free space.
diff --git a/development/Arduino/arduino.desktop b/development/Arduino/arduino.desktop
new file mode 100644
index 0000000000..8b271e4939
--- /dev/null
+++ b/development/Arduino/arduino.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Name=Arduino IDE
+GenericName=Integrated Development Environment
+Comment=An IDE for Arduino-compatible electronics prototyping platforms
+Exec=FULL_PATH/arduino
+Icon=FULL_PATH/lib/arduino.png
+Terminal=false
+Categories=Development;IDE;Electronics;
+MimeType=text/x-arduino
+Keywords=embedded electronics;electronics;avr;microcontroller;